package com.fjhx.iot.utils.amqp;


public interface AmqpConstants {

    // /**
    //  * AMQP接入域名
    //  * 参考：https://support.huaweicloud.com/usermanual-iothub/iot_01_00100_2.html#section2
    //  * eg: "****.iot-amqps.cn-north-4.myhuaweicloud.com";
    //  */
    // String HOST = "a1625d5cc8.iot-amqps.cn-north-4.myhuaweicloud.com";

    /**
     * AMQP接入端口
     * 参考：https://support.huaweicloud.com/usermanual-iothub/iot_01_00100_2.html#section2
     */
    int PORT = 5671;

    // /**
    //  * 接入凭证键值
    //  * 参考：https://support.huaweicloud.com/usermanual-iothub/iot_01_00100_2.html#section3
    //  * 不需要拼接时间戳timestamp
    //  */
    // String ACCESS_KEY = "SwGUHYzA";
    //
    // /**
    //  * 接入凭证密钥
    //  * 参考：https://support.huaweicloud.com/usermanual-iothub/iot_01_00100_2.html#section3
    //  */
    // String ACCESS_CODE = "mGYgxmOtPhWDNHaAMU76aiSy0P3OtaWE";

    /**
     * 默认队列
     */
    String DEFAULT_QUEUE = "DefaultQueue";

}